ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/trunk/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 937 by chrisfen, Sun Apr 16 02:51:16 2006 UTC vs.
Revision 961 by gezelter, Wed May 17 16:10:16 2006 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 871 | Line 871 | Optional Features:
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
873    --enable-debug          Compile OOPSE in debug mode
874 +  --enable-single         compile OOPSE in single precision
875 +  --enable-float          synonym for --enable-single
876    --enable-doxygen        enable documentation generation with doxygen (auto)
877    --enable-dot            use 'dot' to generate graphs in doxygen (auto)
878    --enable-html-docs      enable HTML generation with doxygen (yes)
# Line 881 | Line 883 | Optional Packages:
883    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
884    --with-perl-shebang     override what perl thinks is the way for the kernel
885                            to start it (seldom needed)
886 <  --with-zlib=DIR root directory path of zlib installation defaults to
887 <                    /usr/local or /usr if not found in /usr/local
888 <  --without-zlib to disable zlib usage completely
886 >  --with-zlib=DIR         root directory path of zlib installation (defaults
887 >                          to /usr/local or /usr if not found in /usr/local)
888 >  --with-fftw=DIR         root directory path of fftw installation (defaults
889 >                          to /usr/local or /usr if not found in /usr/local)
890    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
891    --with-cgal-makefile=FILE  CGAL makefile that should be used
892  
# Line 1419 | Line 1422 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1422  
1423  
1424  
1425 +
1426 +
1427   #
1428   #
1429   #
1430 +
1431 +
1432 +
1433  
1434  
1435 +
1436   # AC_F90_MODULE_NAMES
1437   # -------------------
1438   #
1439   # Figure out how the Fortran 90 compiler constructs module file names
1440   #
1441   # AC_F90_MODULE_NAMES
1442 +
1443 +
1444 +
1445 +
1446 +
1447 +
1448 +
1449 +
1450 +
1451 +
1452 +
1453 +
1454 +
1455 +
1456 +
1457 +
1458 +
1459 +
1460 +
1461 +
1462 +
1463 +
1464 +
1465 +
1466 +
1467 +
1468 +
1469 +
1470 +
1471 +
1472 +
1473 +
1474 +
1475 +
1476 +
1477 +
1478 +
1479 +
1480 +
1481 +
1482 +
1483 +
1484 +
1485 +
1486  
1487  
1488  
# Line 1466 | Line 1519 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1519  
1520  
1521  
1522 +
1523 +
1524 +
1525 +
1526 +
1527 +
1528 +
1529 +
1530   # who am i
1531   # Make sure we can run config.sub.
1532   $ac_config_sub sun4 >/dev/null 2>&1 ||
# Line 1565 | Line 1626 | fi
1626   fi
1627  
1628  
1629 + # Check whether --enable-single or --disable-single was given.
1630 + if test "${enable_single+set}" = set; then
1631 +  enableval="$enable_single"
1632 +  ok=$enableval
1633 + else
1634 +  ok=no
1635 + fi;
1636 + # Check whether --enable-float or --disable-float was given.
1637 + if test "${enable_float+set}" = set; then
1638 +  enableval="$enable_float"
1639 +  ok=$enableval
1640 + fi;
1641 + if test "$ok" = "yes"; then
1642 +
1643 + cat >>confdefs.h <<\_ACEOF
1644 + #define SINGLE_PRECISION 1
1645 + _ACEOF
1646 +
1647 +        PRECISION=s
1648 + else
1649 +        PRECISION=d
1650 + fi
1651 +
1652   # Checks for programs.
1653   ac_ext=cc
1654   ac_cpp='$CXXCPP $CPPFLAGS'
# Line 2726 | Line 2810 | fi
2810  
2811  
2812   # Provide some information about the compiler.
2813 < echo "$as_me:2729:" \
2813 > echo "$as_me:2813:" \
2814       "checking for Fortran compiler version" >&5
2815   ac_compiler=`set X $ac_compile; echo $2`
2816   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 3478 | Line 3562 | if test "$AR" = "NONE"; then
3562   fi
3563  
3564   if test "$AR" = "NONE"; then
3481  { { echo "$as_me:$LINENO: error: --> Can't find \`ar'!" >&5
3482 echo "$as_me: error: --> Can't find \`ar'!" >&2;}
3483   { (exit 1); exit 1; }; }
3565    cat >confcache <<\_ACEOF
3566   # This file is a shell script that caches the results of configure
3567   # tests run on this system so they can be shared between configure
# Line 3977 | Line 4058 | FCFLAGS="$FCFLAGS $ac_verb"
4058   # flags.
4059   ac_save_FFLAGS=$FCFLAGS
4060   FCFLAGS="$FCFLAGS $ac_verb"
4061 < (eval echo $as_me:3980: \"$ac_link\") >&5
4061 > (eval echo $as_me:4061: \"$ac_link\") >&5
4062   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4063   echo "$ac_fc_v_output" >&5
4064   FCFLAGS=$ac_save_FFLAGS
# Line 4055 | Line 4136 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4136   # flags.
4137   ac_save_FFLAGS=$FCFLAGS
4138   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4139 < (eval echo $as_me:4058: \"$ac_link\") >&5
4139 > (eval echo $as_me:4139: \"$ac_link\") >&5
4140   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4141   echo "$ac_fc_v_output" >&5
4142   FCFLAGS=$ac_save_FFLAGS
# Line 4791 | Line 4872 | FCFLAGS="$FCFLAGS $ac_verb"
4872   # flags.
4873   ac_save_FFLAGS=$FCFLAGS
4874   FCFLAGS="$FCFLAGS $ac_verb"
4875 < (eval echo $as_me:4794: \"$ac_link\") >&5
4875 > (eval echo $as_me:4875: \"$ac_link\") >&5
4876   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4877   echo "$ac_fc_v_output" >&5
4878   FCFLAGS=$ac_save_FFLAGS
# Line 4869 | Line 4950 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4950   # flags.
4951   ac_save_FFLAGS=$FCFLAGS
4952   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4953 < (eval echo $as_me:4872: \"$ac_link\") >&5
4953 > (eval echo $as_me:4953: \"$ac_link\") >&5
4954   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4955   echo "$ac_fc_v_output" >&5
4956   FCFLAGS=$ac_save_FFLAGS
# Line 5746 | Line 5827 | done
5827   #
5828   # Handle user hints
5829   #
5749 echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5750 echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
5830  
5831   # Check whether --with-zlib or --without-zlib was given.
5832   if test "${with_zlib+set}" = set; then
5833    withval="$with_zlib"
5834 <  if test "$withval" != no ; then
5835 <  echo "$as_me:$LINENO: result: yes" >&5
5836 < echo "${ECHO_T}yes" >&6
5837 <  if test -d "$withval"
5834 >  zlib_dir="$withval"
5835 > else
5836 >                zlib_dir="not_set"
5837 > fi;
5838 > if test "$zlib_dir" != "no"; then
5839 >
5840 > if test "$zlib_dir" != "not_set" ; then
5841 >  if test -d "$zlib_dir"
5842    then
5843 <    ZLIB_HOME="$withval"
5843 >    ZLIB_HOME="$zlib_dir"
5844    else
5845 <    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
5846 < echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
5845 >    { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5846 > echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5847    fi
5765 else
5766  echo "$as_me:$LINENO: result: no" >&5
5767 echo "${ECHO_T}no" >&6
5848   fi
5769 fi;
5849  
5850   ZLIB_HOME=/usr/local
5851   if test ! -f "${ZLIB_HOME}/include/zlib.h"
# Line 6019 | Line 6098 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6098   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6099   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6100  
6022        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6023        then
6024                #
6025                # If both library and header were found, use them
6026                #
6101  
6102 < echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
6103 < echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
6104 < if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
6102 >        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"; then
6103 >
6104 > cat >>confdefs.h <<\_ACEOF
6105 > #define HAVE_ZLIB_H 1
6106 > _ACEOF
6107 >
6108 >
6109 > cat >>confdefs.h <<\_ACEOF
6110 > #define HAVE_LIBZ 1
6111 > _ACEOF
6112 >
6113 >                ZLIB_INC_DIR="${ZLIB_HOME}/include"
6114 >                ZLIB_LIB_DIR="${ZLIB_HOME}/lib"
6115 >                ZLIB="-lz"
6116 >        else
6117 >                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6118 > echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6119 >                ZLIB_INC_DIR=
6120 >                ZLIB_LIB_DIR=
6121 >                ZLIB=
6122 >                LDFLAGS="$ZLIB_OLD_LDFLAGS"
6123 >                CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6124 >                echo "$as_me:$LINENO: result: failed" >&5
6125 > echo "${ECHO_T}failed" >&6
6126 >                echo ""
6127 >                echo "*********************************************************"
6128 >                echo "* WARNING: Could not find a working zlib installation   *"
6129 >                echo "* If you need OOPSE to be able to deal with compressed  *"
6130 >                echo "* trajectory dump files be sure to specify a valid zlib *"
6131 >                echo "* installation with --with-zlib=DIR                     *"
6132 >                echo "*                                                       *"
6133 >                echo "* OOPSE will still work without zlib installed.         *"
6134 >                echo "*********************************************************"
6135 >                echo ""
6136 >        fi
6137 >
6138 >
6139 >
6140 > fi
6141 > fi
6142 >
6143 > #
6144 > # Handle user hints
6145 > #
6146 >
6147 > # Check whether --with-fftw or --without-fftw was given.
6148 > if test "${with_fftw+set}" = set; then
6149 >  withval="$with_fftw"
6150 >  fftw_dir="$withval"
6151 > else
6152 >                fftw_dir="not_set"
6153 > fi;
6154 > if test "$fftw_dir" != "no"; then
6155 >
6156 > if test "$fftw_dir" != "not_set" ; then
6157 >  if test -d "$fftw_dir"
6158 >  then
6159 >    FFTW_HOME="$fftw_dir"
6160 >  else
6161 >    { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6162 > echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6163 >  fi
6164 > fi
6165 >
6166 > FFTW_HOME=/usr/local
6167 > if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"
6168 > then
6169 >        FFTW_HOME=/usr
6170 > fi
6171 >
6172 > #
6173 > # Locate fftw, if wanted
6174 > #
6175 > if test -n "${FFTW_HOME}"
6176 > then
6177 >        FFTW_OLD_LDFLAGS=$LDFLAGS
6178 >        FFTW_OLD_CPPFLAGS=$LDFLAGS
6179 >        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6180 >        CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6181 >
6182 >
6183 >        ac_ext=c
6184 > ac_cpp='$CPP $CPPFLAGS'
6185 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6186 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6187 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6188 >
6189 >        echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6190 > echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6191 > if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6192    echo $ECHO_N "(cached) $ECHO_C" >&6
6193   else
6194    ac_check_lib_save_LIBS=$LIBS
6195 < LIBS="-lz  $LIBS"
6195 > LIBS="-lfftw3  $LIBS"
6196   cat >conftest.$ac_ext <<_ACEOF
6197   /* confdefs.h.  */
6198   _ACEOF
# Line 6045 | Line 6206 | extern "C"
6206   #endif
6207   /* We use char because int might match the return type of a gcc2
6208     builtin and then its argument prototype would still apply.  */
6209 < char inflateEnd ();
6209 > char fftw_execute ();
6210   #ifdef FC_DUMMY_MAIN
6211   #ifndef FC_DUMMY_MAIN_EQ_F77
6212   #  ifdef __cplusplus
# Line 6057 | Line 6218 | main ()
6218   int
6219   main ()
6220   {
6221 < inflateEnd ();
6221 > fftw_execute ();
6222    ;
6223    return 0;
6224   }
# Line 6084 | Line 6245 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6245    ac_status=$?
6246    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6247    (exit $ac_status); }; }; then
6248 <  ac_cv_lib_z_inflateEnd=yes
6248 >  ac_cv_lib_fftw3_fftw_execute=yes
6249   else
6250    echo "$as_me: failed program was:" >&5
6251   sed 's/^/| /' conftest.$ac_ext >&5
6252  
6253 < ac_cv_lib_z_inflateEnd=no
6253 > ac_cv_lib_fftw3_fftw_execute=no
6254   fi
6255   rm -f conftest.err conftest.$ac_objext \
6256        conftest$ac_exeext conftest.$ac_ext
6257   LIBS=$ac_check_lib_save_LIBS
6258   fi
6259 < echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
6260 < echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
6261 < if test $ac_cv_lib_z_inflateEnd = yes; then
6262 <  cat >>confdefs.h <<_ACEOF
6263 < #define HAVE_LIBZ 1
6259 > echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3_fftw_execute" >&5
6260 > echo "${ECHO_T}$ac_cv_lib_fftw3_fftw_execute" >&6
6261 > if test $ac_cv_lib_fftw3_fftw_execute = yes; then
6262 >  fftw_cv_libfftw3=yes
6263 > else
6264 >  fftw_cv_libfftw3=no
6265 > fi
6266 >
6267 >        if test "${ac_cv_header_fftw3_h+set}" = set; then
6268 >  echo "$as_me:$LINENO: checking for fftw3.h" >&5
6269 > echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6270 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6271 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6272 > fi
6273 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6274 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6275 > else
6276 >  # Is the header compilable?
6277 > echo "$as_me:$LINENO: checking fftw3.h usability" >&5
6278 > echo $ECHO_N "checking fftw3.h usability... $ECHO_C" >&6
6279 > cat >conftest.$ac_ext <<_ACEOF
6280 > /* confdefs.h.  */
6281   _ACEOF
6282 + cat confdefs.h >>conftest.$ac_ext
6283 + cat >>conftest.$ac_ext <<_ACEOF
6284 + /* end confdefs.h.  */
6285 + $ac_includes_default
6286 + #include <fftw3.h>
6287 + _ACEOF
6288 + rm -f conftest.$ac_objext
6289 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6290 +  (eval $ac_compile) 2>conftest.er1
6291 +  ac_status=$?
6292 +  grep -v '^ *+' conftest.er1 >conftest.err
6293 +  rm -f conftest.er1
6294 +  cat conftest.err >&5
6295 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6296 +  (exit $ac_status); } &&
6297 +         { ac_try='test -z "$ac_c_werror_flag"
6298 +                         || test ! -s conftest.err'
6299 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6300 +  (eval $ac_try) 2>&5
6301 +  ac_status=$?
6302 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6303 +  (exit $ac_status); }; } &&
6304 +         { ac_try='test -s conftest.$ac_objext'
6305 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6306 +  (eval $ac_try) 2>&5
6307 +  ac_status=$?
6308 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6309 +  (exit $ac_status); }; }; then
6310 +  ac_header_compiler=yes
6311 + else
6312 +  echo "$as_me: failed program was:" >&5
6313 + sed 's/^/| /' conftest.$ac_ext >&5
6314  
6315 <  LIBS="-lz $LIBS"
6315 > ac_header_compiler=no
6316 > fi
6317 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6318 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6319 > echo "${ECHO_T}$ac_header_compiler" >&6
6320  
6321 + # Is the header present?
6322 + echo "$as_me:$LINENO: checking fftw3.h presence" >&5
6323 + echo $ECHO_N "checking fftw3.h presence... $ECHO_C" >&6
6324 + cat >conftest.$ac_ext <<_ACEOF
6325 + /* confdefs.h.  */
6326 + _ACEOF
6327 + cat confdefs.h >>conftest.$ac_ext
6328 + cat >>conftest.$ac_ext <<_ACEOF
6329 + /* end confdefs.h.  */
6330 + #include <fftw3.h>
6331 + _ACEOF
6332 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6333 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6334 +  ac_status=$?
6335 +  grep -v '^ *+' conftest.er1 >conftest.err
6336 +  rm -f conftest.er1
6337 +  cat conftest.err >&5
6338 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6339 +  (exit $ac_status); } >/dev/null; then
6340 +  if test -s conftest.err; then
6341 +    ac_cpp_err=$ac_c_preproc_warn_flag
6342 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6343 +  else
6344 +    ac_cpp_err=
6345 +  fi
6346 + else
6347 +  ac_cpp_err=yes
6348   fi
6349 + if test -z "$ac_cpp_err"; then
6350 +  ac_header_preproc=yes
6351 + else
6352 +  echo "$as_me: failed program was:" >&5
6353 + sed 's/^/| /' conftest.$ac_ext >&5
6354  
6355 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6356 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6357 <                echo "$as_me:$LINENO: result: ok" >&5
6358 < echo "${ECHO_T}ok" >&6
6355 >  ac_header_preproc=no
6356 > fi
6357 > rm -f conftest.err conftest.$ac_ext
6358 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6359 > echo "${ECHO_T}$ac_header_preproc" >&6
6360 >
6361 > # So?  What about this header?
6362 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6363 >  yes:no: )
6364 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
6365 > echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6366 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
6367 > echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
6368 >    ac_header_preproc=yes
6369 >    ;;
6370 >  no:yes:* )
6371 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
6372 > echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
6373 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     check for missing prerequisite headers?" >&5
6374 > echo "$as_me: WARNING: fftw3.h:     check for missing prerequisite headers?" >&2;}
6375 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
6376 > echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
6377 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
6378 > echo "$as_me: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6379 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
6380 > echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
6381 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
6382 > echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
6383 >    (
6384 >      cat <<\_ASBOX
6385 > ## ------------------------------ ##
6386 > ## Report this to gezelter@nd.edu ##
6387 > ## ------------------------------ ##
6388 > _ASBOX
6389 >    ) |
6390 >      sed "s/^/$as_me: WARNING:     /" >&2
6391 >    ;;
6392 > esac
6393 > echo "$as_me:$LINENO: checking for fftw3.h" >&5
6394 > echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6395 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6396 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6397 > else
6398 >  ac_cv_header_fftw3_h=$ac_header_preproc
6399 > fi
6400 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6401 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6402 >
6403 > fi
6404 > if test $ac_cv_header_fftw3_h = yes; then
6405 >  fftw_cv_fftw3_h=yes
6406 > else
6407 >  fftw_cv_fftw3_h=no
6408 > fi
6409 >
6410 >
6411 >        if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"
6412 >        then
6413 >                echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6414 > echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6415 > if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6416 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6417 > else
6418 >  ac_check_lib_save_LIBS=$LIBS
6419 > LIBS="-lfftw  $LIBS"
6420 > cat >conftest.$ac_ext <<_ACEOF
6421 > /* confdefs.h.  */
6422 > _ACEOF
6423 > cat confdefs.h >>conftest.$ac_ext
6424 > cat >>conftest.$ac_ext <<_ACEOF
6425 > /* end confdefs.h.  */
6426 >
6427 > /* Override any gcc2 internal prototype to avoid an error.  */
6428 > #ifdef __cplusplus
6429 > extern "C"
6430 > #endif
6431 > /* We use char because int might match the return type of a gcc2
6432 >   builtin and then its argument prototype would still apply.  */
6433 > char fftwnd_one ();
6434 > #ifdef FC_DUMMY_MAIN
6435 > #ifndef FC_DUMMY_MAIN_EQ_F77
6436 > #  ifdef __cplusplus
6437 >     extern "C"
6438 > #  endif
6439 >   int FC_DUMMY_MAIN() { return 1; }
6440 > #endif
6441 > #endif
6442 > int
6443 > main ()
6444 > {
6445 > fftwnd_one ();
6446 >  ;
6447 >  return 0;
6448 > }
6449 > _ACEOF
6450 > rm -f conftest.$ac_objext conftest$ac_exeext
6451 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6452 >  (eval $ac_link) 2>conftest.er1
6453 >  ac_status=$?
6454 >  grep -v '^ *+' conftest.er1 >conftest.err
6455 >  rm -f conftest.er1
6456 >  cat conftest.err >&5
6457 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6458 >  (exit $ac_status); } &&
6459 >         { ac_try='test -z "$ac_c_werror_flag"
6460 >                         || test ! -s conftest.err'
6461 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6462 >  (eval $ac_try) 2>&5
6463 >  ac_status=$?
6464 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6465 >  (exit $ac_status); }; } &&
6466 >         { ac_try='test -s conftest$ac_exeext'
6467 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6468 >  (eval $ac_try) 2>&5
6469 >  ac_status=$?
6470 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6471 >  (exit $ac_status); }; }; then
6472 >  ac_cv_lib_fftw_fftwnd_one=yes
6473 > else
6474 >  echo "$as_me: failed program was:" >&5
6475 > sed 's/^/| /' conftest.$ac_ext >&5
6476 >
6477 > ac_cv_lib_fftw_fftwnd_one=no
6478 > fi
6479 > rm -f conftest.err conftest.$ac_objext \
6480 >      conftest$ac_exeext conftest.$ac_ext
6481 > LIBS=$ac_check_lib_save_LIBS
6482 > fi
6483 > echo "$as_me:$LINENO: result: $ac_cv_lib_fftw_fftwnd_one" >&5
6484 > echo "${ECHO_T}$ac_cv_lib_fftw_fftwnd_one" >&6
6485 > if test $ac_cv_lib_fftw_fftwnd_one = yes; then
6486 >  fftw_cv_libfftw=yes
6487 > else
6488 >  fftw_cv_libfftw=no
6489 > fi
6490 >
6491 >                if test "${ac_cv_header_fftw_h+set}" = set; then
6492 >  echo "$as_me:$LINENO: checking for fftw.h" >&5
6493 > echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6494 > if test "${ac_cv_header_fftw_h+set}" = set; then
6495 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6496 > fi
6497 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6498 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6499 > else
6500 >  # Is the header compilable?
6501 > echo "$as_me:$LINENO: checking fftw.h usability" >&5
6502 > echo $ECHO_N "checking fftw.h usability... $ECHO_C" >&6
6503 > cat >conftest.$ac_ext <<_ACEOF
6504 > /* confdefs.h.  */
6505 > _ACEOF
6506 > cat confdefs.h >>conftest.$ac_ext
6507 > cat >>conftest.$ac_ext <<_ACEOF
6508 > /* end confdefs.h.  */
6509 > $ac_includes_default
6510 > #include <fftw.h>
6511 > _ACEOF
6512 > rm -f conftest.$ac_objext
6513 > if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6514 >  (eval $ac_compile) 2>conftest.er1
6515 >  ac_status=$?
6516 >  grep -v '^ *+' conftest.er1 >conftest.err
6517 >  rm -f conftest.er1
6518 >  cat conftest.err >&5
6519 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6520 >  (exit $ac_status); } &&
6521 >         { ac_try='test -z "$ac_c_werror_flag"
6522 >                         || test ! -s conftest.err'
6523 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6524 >  (eval $ac_try) 2>&5
6525 >  ac_status=$?
6526 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6527 >  (exit $ac_status); }; } &&
6528 >         { ac_try='test -s conftest.$ac_objext'
6529 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6530 >  (eval $ac_try) 2>&5
6531 >  ac_status=$?
6532 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6533 >  (exit $ac_status); }; }; then
6534 >  ac_header_compiler=yes
6535 > else
6536 >  echo "$as_me: failed program was:" >&5
6537 > sed 's/^/| /' conftest.$ac_ext >&5
6538 >
6539 > ac_header_compiler=no
6540 > fi
6541 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6542 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6543 > echo "${ECHO_T}$ac_header_compiler" >&6
6544 >
6545 > # Is the header present?
6546 > echo "$as_me:$LINENO: checking fftw.h presence" >&5
6547 > echo $ECHO_N "checking fftw.h presence... $ECHO_C" >&6
6548 > cat >conftest.$ac_ext <<_ACEOF
6549 > /* confdefs.h.  */
6550 > _ACEOF
6551 > cat confdefs.h >>conftest.$ac_ext
6552 > cat >>conftest.$ac_ext <<_ACEOF
6553 > /* end confdefs.h.  */
6554 > #include <fftw.h>
6555 > _ACEOF
6556 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6557 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6558 >  ac_status=$?
6559 >  grep -v '^ *+' conftest.er1 >conftest.err
6560 >  rm -f conftest.er1
6561 >  cat conftest.err >&5
6562 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6563 >  (exit $ac_status); } >/dev/null; then
6564 >  if test -s conftest.err; then
6565 >    ac_cpp_err=$ac_c_preproc_warn_flag
6566 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6567 >  else
6568 >    ac_cpp_err=
6569 >  fi
6570 > else
6571 >  ac_cpp_err=yes
6572 > fi
6573 > if test -z "$ac_cpp_err"; then
6574 >  ac_header_preproc=yes
6575 > else
6576 >  echo "$as_me: failed program was:" >&5
6577 > sed 's/^/| /' conftest.$ac_ext >&5
6578 >
6579 >  ac_header_preproc=no
6580 > fi
6581 > rm -f conftest.err conftest.$ac_ext
6582 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6583 > echo "${ECHO_T}$ac_header_preproc" >&6
6584 >
6585 > # So?  What about this header?
6586 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6587 >  yes:no: )
6588 >    { echo "$as_me:$LINENO: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6589 > echo "$as_me: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6590 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the compiler's result" >&5
6591 > echo "$as_me: WARNING: fftw.h: proceeding with the compiler's result" >&2;}
6592 >    ac_header_preproc=yes
6593 >    ;;
6594 >  no:yes:* )
6595 >    { echo "$as_me:$LINENO: WARNING: fftw.h: present but cannot be compiled" >&5
6596 > echo "$as_me: WARNING: fftw.h: present but cannot be compiled" >&2;}
6597 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     check for missing prerequisite headers?" >&5
6598 > echo "$as_me: WARNING: fftw.h:     check for missing prerequisite headers?" >&2;}
6599 >    { echo "$as_me:$LINENO: WARNING: fftw.h: see the Autoconf documentation" >&5
6600 > echo "$as_me: WARNING: fftw.h: see the Autoconf documentation" >&2;}
6601 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6602 > echo "$as_me: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6603 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the preprocessor's result" >&5
6604 > echo "$as_me: WARNING: fftw.h: proceeding with the preprocessor's result" >&2;}
6605 >    { echo "$as_me:$LINENO: WARNING: fftw.h: in the future, the compiler will take precedence" >&5
6606 > echo "$as_me: WARNING: fftw.h: in the future, the compiler will take precedence" >&2;}
6607 >    (
6608 >      cat <<\_ASBOX
6609 > ## ------------------------------ ##
6610 > ## Report this to gezelter@nd.edu ##
6611 > ## ------------------------------ ##
6612 > _ASBOX
6613 >    ) |
6614 >      sed "s/^/$as_me: WARNING:     /" >&2
6615 >    ;;
6616 > esac
6617 > echo "$as_me:$LINENO: checking for fftw.h" >&5
6618 > echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6619 > if test "${ac_cv_header_fftw_h+set}" = set; then
6620 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6621 > else
6622 >  ac_cv_header_fftw_h=$ac_header_preproc
6623 > fi
6624 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6625 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6626 >
6627 > fi
6628 > if test $ac_cv_header_fftw_h = yes; then
6629 >  fftw_cv_fftw_h=yes
6630 > else
6631 >  fftw_cv_fftw_h=no
6632 > fi
6633 >
6634 >
6635 >                if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"
6636 >                then
6637 >                        echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6638 > echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6639 > if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6640 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6641 > else
6642 >  ac_check_lib_save_LIBS=$LIBS
6643 > LIBS="-ldfftw  $LIBS"
6644 > cat >conftest.$ac_ext <<_ACEOF
6645 > /* confdefs.h.  */
6646 > _ACEOF
6647 > cat confdefs.h >>conftest.$ac_ext
6648 > cat >>conftest.$ac_ext <<_ACEOF
6649 > /* end confdefs.h.  */
6650 >
6651 > /* Override any gcc2 internal prototype to avoid an error.  */
6652 > #ifdef __cplusplus
6653 > extern "C"
6654 > #endif
6655 > /* We use char because int might match the return type of a gcc2
6656 >   builtin and then its argument prototype would still apply.  */
6657 > char fftwnd_one ();
6658 > #ifdef FC_DUMMY_MAIN
6659 > #ifndef FC_DUMMY_MAIN_EQ_F77
6660 > #  ifdef __cplusplus
6661 >     extern "C"
6662 > #  endif
6663 >   int FC_DUMMY_MAIN() { return 1; }
6664 > #endif
6665 > #endif
6666 > int
6667 > main ()
6668 > {
6669 > fftwnd_one ();
6670 >  ;
6671 >  return 0;
6672 > }
6673 > _ACEOF
6674 > rm -f conftest.$ac_objext conftest$ac_exeext
6675 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6676 >  (eval $ac_link) 2>conftest.er1
6677 >  ac_status=$?
6678 >  grep -v '^ *+' conftest.er1 >conftest.err
6679 >  rm -f conftest.er1
6680 >  cat conftest.err >&5
6681 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6682 >  (exit $ac_status); } &&
6683 >         { ac_try='test -z "$ac_c_werror_flag"
6684 >                         || test ! -s conftest.err'
6685 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6686 >  (eval $ac_try) 2>&5
6687 >  ac_status=$?
6688 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6689 >  (exit $ac_status); }; } &&
6690 >         { ac_try='test -s conftest$ac_exeext'
6691 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6692 >  (eval $ac_try) 2>&5
6693 >  ac_status=$?
6694 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6695 >  (exit $ac_status); }; }; then
6696 >  ac_cv_lib_dfftw_fftwnd_one=yes
6697 > else
6698 >  echo "$as_me: failed program was:" >&5
6699 > sed 's/^/| /' conftest.$ac_ext >&5
6700 >
6701 > ac_cv_lib_dfftw_fftwnd_one=no
6702 > fi
6703 > rm -f conftest.err conftest.$ac_objext \
6704 >      conftest$ac_exeext conftest.$ac_ext
6705 > LIBS=$ac_check_lib_save_LIBS
6706 > fi
6707 > echo "$as_me:$LINENO: result: $ac_cv_lib_dfftw_fftwnd_one" >&5
6708 > echo "${ECHO_T}$ac_cv_lib_dfftw_fftwnd_one" >&6
6709 > if test $ac_cv_lib_dfftw_fftwnd_one = yes; then
6710 >  fftw_cv_libdfftw=yes
6711 > else
6712 >  fftw_cv_libdfftw=no
6713 > fi
6714 >
6715 >                        if test "${ac_cv_header_dfftw_h+set}" = set; then
6716 >  echo "$as_me:$LINENO: checking for dfftw.h" >&5
6717 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6718 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6719 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6720 > fi
6721 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6722 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6723 > else
6724 >  # Is the header compilable?
6725 > echo "$as_me:$LINENO: checking dfftw.h usability" >&5
6726 > echo $ECHO_N "checking dfftw.h usability... $ECHO_C" >&6
6727 > cat >conftest.$ac_ext <<_ACEOF
6728 > /* confdefs.h.  */
6729 > _ACEOF
6730 > cat confdefs.h >>conftest.$ac_ext
6731 > cat >>conftest.$ac_ext <<_ACEOF
6732 > /* end confdefs.h.  */
6733 > $ac_includes_default
6734 > #include <dfftw.h>
6735 > _ACEOF
6736 > rm -f conftest.$ac_objext
6737 > if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6738 >  (eval $ac_compile) 2>conftest.er1
6739 >  ac_status=$?
6740 >  grep -v '^ *+' conftest.er1 >conftest.err
6741 >  rm -f conftest.er1
6742 >  cat conftest.err >&5
6743 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6744 >  (exit $ac_status); } &&
6745 >         { ac_try='test -z "$ac_c_werror_flag"
6746 >                         || test ! -s conftest.err'
6747 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6748 >  (eval $ac_try) 2>&5
6749 >  ac_status=$?
6750 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6751 >  (exit $ac_status); }; } &&
6752 >         { ac_try='test -s conftest.$ac_objext'
6753 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6754 >  (eval $ac_try) 2>&5
6755 >  ac_status=$?
6756 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6757 >  (exit $ac_status); }; }; then
6758 >  ac_header_compiler=yes
6759 > else
6760 >  echo "$as_me: failed program was:" >&5
6761 > sed 's/^/| /' conftest.$ac_ext >&5
6762 >
6763 > ac_header_compiler=no
6764 > fi
6765 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6766 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6767 > echo "${ECHO_T}$ac_header_compiler" >&6
6768 >
6769 > # Is the header present?
6770 > echo "$as_me:$LINENO: checking dfftw.h presence" >&5
6771 > echo $ECHO_N "checking dfftw.h presence... $ECHO_C" >&6
6772 > cat >conftest.$ac_ext <<_ACEOF
6773 > /* confdefs.h.  */
6774 > _ACEOF
6775 > cat confdefs.h >>conftest.$ac_ext
6776 > cat >>conftest.$ac_ext <<_ACEOF
6777 > /* end confdefs.h.  */
6778 > #include <dfftw.h>
6779 > _ACEOF
6780 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6781 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6782 >  ac_status=$?
6783 >  grep -v '^ *+' conftest.er1 >conftest.err
6784 >  rm -f conftest.er1
6785 >  cat conftest.err >&5
6786 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6787 >  (exit $ac_status); } >/dev/null; then
6788 >  if test -s conftest.err; then
6789 >    ac_cpp_err=$ac_c_preproc_warn_flag
6790 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6791 >  else
6792 >    ac_cpp_err=
6793 >  fi
6794 > else
6795 >  ac_cpp_err=yes
6796 > fi
6797 > if test -z "$ac_cpp_err"; then
6798 >  ac_header_preproc=yes
6799 > else
6800 >  echo "$as_me: failed program was:" >&5
6801 > sed 's/^/| /' conftest.$ac_ext >&5
6802 >
6803 >  ac_header_preproc=no
6804 > fi
6805 > rm -f conftest.err conftest.$ac_ext
6806 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6807 > echo "${ECHO_T}$ac_header_preproc" >&6
6808 >
6809 > # So?  What about this header?
6810 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6811 >  yes:no: )
6812 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6813 > echo "$as_me: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6814 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the compiler's result" >&5
6815 > echo "$as_me: WARNING: dfftw.h: proceeding with the compiler's result" >&2;}
6816 >    ac_header_preproc=yes
6817 >    ;;
6818 >  no:yes:* )
6819 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: present but cannot be compiled" >&5
6820 > echo "$as_me: WARNING: dfftw.h: present but cannot be compiled" >&2;}
6821 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     check for missing prerequisite headers?" >&5
6822 > echo "$as_me: WARNING: dfftw.h:     check for missing prerequisite headers?" >&2;}
6823 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: see the Autoconf documentation" >&5
6824 > echo "$as_me: WARNING: dfftw.h: see the Autoconf documentation" >&2;}
6825 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6826 > echo "$as_me: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6827 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the preprocessor's result" >&5
6828 > echo "$as_me: WARNING: dfftw.h: proceeding with the preprocessor's result" >&2;}
6829 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: in the future, the compiler will take precedence" >&5
6830 > echo "$as_me: WARNING: dfftw.h: in the future, the compiler will take precedence" >&2;}
6831 >    (
6832 >      cat <<\_ASBOX
6833 > ## ------------------------------ ##
6834 > ## Report this to gezelter@nd.edu ##
6835 > ## ------------------------------ ##
6836 > _ASBOX
6837 >    ) |
6838 >      sed "s/^/$as_me: WARNING:     /" >&2
6839 >    ;;
6840 > esac
6841 > echo "$as_me:$LINENO: checking for dfftw.h" >&5
6842 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6843 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6844 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6845 > else
6846 >  ac_cv_header_dfftw_h=$ac_header_preproc
6847 > fi
6848 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6849 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6850 >
6851 > fi
6852 > if test $ac_cv_header_dfftw_h = yes; then
6853 >  fftw_cv_dfftw_h=yes
6854 > else
6855 >  fftw_cv_dfftw_h=no
6856 > fi
6857 >
6858 >
6859 >                fi
6860 >        fi
6861 >        ac_ext=c
6862 > ac_cpp='$CPP $CPPFLAGS'
6863 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6864 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6865 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6866 >
6867 >
6868 >        if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"
6869 >        then
6870 >
6871 > cat >>confdefs.h <<\_ACEOF
6872 > #define HAVE_FFTW3_H 1
6873 > _ACEOF
6874 >
6875 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6876 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6877 >                FFTW_LIBS="-lfftw3"
6878          else
6879 <                #
6880 <                # If either header or library was not found, revert and bomb
6881 <                #
6882 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6883 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6884 <                LDFLAGS="$ZLIB_OLD_LDFLAGS"
6885 <                CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6879 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"
6880 >        then
6881 >
6882 > cat >>confdefs.h <<\_ACEOF
6883 > #define HAVE_FFTW_H 1
6884 > _ACEOF
6885 >
6886 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6887 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6888 >                FFTW_LIBS="-lfftw"
6889 >        else
6890 >        if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"
6891 >        then
6892 >
6893 > cat >>confdefs.h <<\_ACEOF
6894 > #define HAVE_DFFTW_H 1
6895 > _ACEOF
6896 >
6897 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6898 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6899 >                FFTW_LIBS="-ldfftw"
6900 >        else
6901 >                echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6902 > echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6903 >                FFTW_INC_DIR=
6904 >                FFTW_LIB_DIR=
6905 >                FFTW_LIBS=
6906 >                LDFLAGS="$FFTW_OLD_LDFLAGS"
6907 >                CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6908                  echo "$as_me:$LINENO: result: failed" >&5
6909   echo "${ECHO_T}failed" >&6
6910 <                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6911 < echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6912 <   { (exit 1); exit 1; }; }
6910 >        echo ""
6911 >        echo "*********************************************************"
6912 >        echo "* WARNING: Could not find a working FFTW installation   *"
6913 >        echo "* If you need the staticProps program to be able to     *"
6914 >        echo "* compute undulation spectra, be sure to specify a      *"
6915 >        echo "* valid fftw installation with --with-fftw=DIR          *"
6916 >        echo "*                                                       *"
6917 >        echo "* OOPSE will still work without fftw installed.         *"
6918 >        echo "*********************************************************"
6919 >        echo ""
6920          fi
6921 +        fi
6922 +        fi
6923 +
6924 +
6925 +
6926 + fi
6927   fi
6928  
6929  
# Line 11137 | Line 11937 | case $debug in
11937   # Try to determine "good" native compiler flags if none specified on command
11938   # line
11939  
11940 < if test "$ac_test_FCFLAGS" != "set"; then
11940 > if test "$ac_test_FFLAGS" != "set"; then
11941    FCFLAGS=""
11942    case "${host_cpu}-${host_os}" in
11943  
11944    *linux*) if test "$FC" = ifc -o "$FC" = ifort; then
11945 <                    FCFLAGS="-O"
11945 >                    FCFLAGS="-O3 -ip -no-prec-div -cxxlib-icc"
11946                  fi;;
11947     rs6000*-aix*)  if test "$FC" = xlf90 -o "$FC" = f90 -o "$FC" = xlf95; then
11948                      FCFLAGS="-O3 -qarch=pwrx -qtune=pwrx -qansialias -w"
# Line 11162 | Line 11962 | if test "$ac_test_FCFLAGS" != "set"; then
11962          fi;;
11963     *darwin*)
11964          if test "$FC" = f90 -o "$FC" = xlf90 -o "$FC" = xlf95; then
11965 <                FCFLAGS="-qthreaded -O3 -qtune=auto -qarch=auto -qunroll=auto"
11965 >                FCFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto"
11966 >        fi
11967 >        if test "$FC" = ifort; then
11968 >                FCFLAGS="-O3 -ip -no-prec-dev -mdynamic-no-pic"
11969          fi;;
11970    esac
11971  
# Line 11321 | Line 12124 | if test "$ac_test_CFLAGS" != "set"; then
12124          fi;;
12125     *darwin*)
12126          if test "$CC" = xlc -o "$CC" = cc; then
12127 <                CFLAGS="-qthreaded -O3 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
12127 >                CFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
12128 >        fi
12129 >        if test "$CC" = icc; then
12130 >                CFLAGS="-O3 -ip -no-prec-div -mdynamic-no-pic"
12131          fi;;
12132    esac
12133  
# Line 11775 | Line 12581 | if test "$ac_test_CXXFLAGS" != "set"; then
12581          fi;;
12582     *darwin*)
12583          if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
12584 <                CXXFLAGS="-qthreaded -O3 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
12584 >                CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
12585 >        fi
12586 >        if test "$CXX" = icpc; then
12587 >                CXXFLAGS="-O3 -ip -no-prec-div -mdynamic-no-pic"
12588          fi;;
12589    esac
12590  
# Line 12501 | Line 13310 | else
13310    echo $ECHO_N "(cached) $ECHO_C" >&6
13311   else
13312    ac_check_lib_save_LIBS=$LIBS
13313 < LIBS="-lpmpich "-lmpich" $LIBS"
13313 > LIBS="-lmpich "-lpmpich" $LIBS"
13314   cat >conftest.$ac_ext <<_ACEOF
13315   /* confdefs.h.  */
13316   _ACEOF
# Line 13128 | Line 13937 | CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13937   CGAL_LIB_DIR=${CGAL_LIBDIR}
13938  
13939   CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13131
13940  
13941  
13942  
# Line 13957 | Line 14765 | s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14765   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14766   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14767   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14768 + s,@ZLIB_INC_DIR@,$ZLIB_INC_DIR,;t t
14769 + s,@ZLIB_LIB_DIR@,$ZLIB_LIB_DIR,;t t
14770 + s,@ZLIB@,$ZLIB,;t t
14771 + s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14772 + s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14773 + s,@FFTW_LIBS@,$FFTW_LIBS,;t t
14774   s,@LIBOBJS@,$LIBOBJS,;t t
14775   s,@POW_LIB@,$POW_LIB,;t t
14776   s,@CXXCPP@,$CXXCPP,;t t
# Line 14621 | Line 15435 | fi
15435    # would make configure fail if this is the last instruction.
15436    $ac_cs_success || { (exit 1); exit 1; }
15437   fi
14624
14625
15438  

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines